Package org.kie.internal.jaxb

## Class StringKeyStringValueMapXmlAdapter

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<StringKeyStringValueMap,​java.util.Map<java.lang.String,​java.lang.String>>
  - - org.kie.internal.jaxb.StringKeyStringValueMapXmlAdapter

-     public class StringKeyStringValueMapXmlAdapter
      extends javax.xml.bind.annotation.adapters.XmlAdapter<StringKeyStringValueMap,​java.util.Map<java.lang.String,​java.lang.String>>

  This is a `XmlAdapter` for mapping Map<String, String> instances to classes/instances that both JAXB/XML and JSON can deal with.

  The most important reason for the existence of this class is that it works well with jackson JSON! JaxbMapAdapter, on the other hand, does not!

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringKeyStringValueMapXmlAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StringKeyStringValueMap` | `marshal​(java.util.Map<java.lang.String,​java.lang.String> map)` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `unmarshal​(StringKeyStringValueMap xmlMap)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringKeyStringValueMapXmlAdapter

          public StringKeyStringValueMapXmlAdapter()

  - ### Method Detail

    - #### marshal

          public StringKeyStringValueMap marshal​(java.util.Map<java.lang.String,​java.lang.String> map)
                                          throws java.lang.Exception

      Specified by:
        `marshal` in class `javax.xml.bind.annotation.adapters.XmlAdapter<StringKeyStringValueMap,​java.util.Map<java.lang.String,​java.lang.String>>`
      Throws:
        `java.lang.Exception`

    - #### unmarshal

          public java.util.Map<java.lang.String,​java.lang.String> unmarshal​(StringKeyStringValueMap xmlMap)

      Specified by:
        `unmarshal` in class `javax.xml.bind.annotation.adapters.XmlAdapter<StringKeyStringValueMap,​java.util.Map<java.lang.String,​java.lang.String>>`